Subject: Re: [PATCH v2] fsmonitor OSX: fix hangs for submodules

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Oct 2024 11:14:50 -0700

Koji Nakamaru <[email-masked]> writes:

> On windows, there is no process group so the test cannot run
> correctly. As hangs corrected with the patch occur only for darwin, I
> would like to skip MINGW in the test. Is it okay?

Surely.  But can we do so without spelling MINGW or WINDOWS out?

That is, if your test requires process group features available, can
we come up with a lazy prerequisite and use that to decide if we
skip the test?

Earlier in the discussion, you said who are left behind if we did so
on systems with process groups, but I wonder what happens when we
throw a signal at the top-level "git" process on Windows, and if it
behaves better, perhaps we can implement stop_git differently where
process groups are not available, instead of skipping the tests
altogether?

Thanks.